Run Email Validation
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-email-validation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "john@example.com"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-email-validation"
payload = { "email": "john@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'john@example.com'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-email-validation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "77777777-7777-7777-7777-777777777777",
"kind": "email_validation",
"email": "sam@openai.com",
"human": "# Email validation\n\n- **Email:** sam@openai.com\n- **Result:** valid\n- **Message:** Mailbox exists and accepts mail.\n- **Catch-all:** No\n- **Provider:** google_workspace\n- **Confidence:** high",
"machine": {
"email": "sam@openai.com",
"result": "valid",
"message": "Mailbox exists and accepts mail.",
"isCatchAll": false,
"provider": "google_workspace",
"confidence": "high"
},
"total_points": 1
}Data Sources
Run Email Validation
Validates an email address and returns deliverability signals.
POST
/
functions
/
v1
/
run-email-validation
Run Email Validation
⌘I